Library Version 18.1.40

DbEnv::get_lk_priority()
Prev | Chapter 7. The DbLock Handle | Next

## DbEnv::get_lk_priority()

    #include <db_cxx.h>

    int
    DbEnv::get_lk_priority(u_int32_t u_int32_t lockerid, u_int32_t *priority);

Get the deadlock priority for the given locker.

### Parameters

#### lockerid

The lockerid parameter represents a locker returned by `envM;lock_id()`.

#### priority

Upon return, the priority parameter will point to a value between 0 and 2^32-1.

### Errors

The `DbEnv::get_lk_priority()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DbEnv, DbLock

### See Also

Locking Subsystem and Related Methods, DbEnv::set_lk_priority()

Prev | Up | Next
DbEnv::get_lk_partitions() | Home | DbEnv::get_lk_tablesize()